QGIS Application - Bug report #15089
WMS legend image size too big: make it transparent?
2016-06-21 01:58 AM - Richard Duivenvoorde

Status: Closed
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23031

Description

Hi, some WMS services provide legend images for layers which are much too big:

http://geoservices.knmi.nl/cgi-bin/RADNL_OPER R

25PCPRR_L3.cgi?

As you can see in the screendump: knmilegendnotok.png

The owner of the service, though gave me a simple hack: add &transparent=true to the getlegendgraphic makes the layer manager resize

the image to the viewable part of the iamge (see knmilegendok.png)...

So | have the patch ready here, just wondering if somebody sees a problem in adding this by default (UNLESS off course there is a

explicit S TRANSPARENT=false in the legendgraphicurl in the wms capabilities.

Associated revisions

Revision c6e0ad36 - 2016-06-24 09:59 AM - Richard Duivenvoorde

Merge pull request #3226 from rduivenvoorde/legendsizefix

Adding &TRANSPARENT=true makes too big legend images look good

fix #15089

History

#1 - 2016-06-21 02:22 AM - Richard Duivenvoorde

See: https://github.com/qgis/QGIS/pull/3226

#2 - 2016-06-24 12:59 AM - Richard Duivenvoorde
- Status changed from Open to Closed

Fixed in changeset commit:"c6e0ad36e8372c20ba49dd31ee36b3cb815d8961".

#3 - 2017-09-22 10:05 AM - Jiirgen Fischer

- Category set to Unknown
http://geoservices.knmi.nl/cgi-bin/RADNL_OPER_R___25PCPRR_L3.cgi
https://github.com/qgis/QGIS/pull/3226

Files

knmilegendnotok.png 64 KB 2016-06-20 Richard Duivenvoorde
knmilegendok.png 91.5KB 2016-06-20 Richard Duivenvoorde
